<?php
/*
# ------------------------------------------------------------------------
# Ooopa! T3 Template for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2011 Ooopa!. All Rights Reserved.
# @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
# Author: Ooopa! Powered by T3 Framework Joomlart.com
# Websites: http://www.ooopa.net
# ------------------------------------------------------------------------
*/
?>
	<?php $this->genBlockBegin ($block) ?>

	<?php
	$app = & JFactory::getApplication();
	$siteName = $app->getCfg('sitename');
	if ($this->getParam('logoType', 'image')=='image'): ?>
	<h1 class="logo">
		<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
	</h1>
	<?php else:
	$logoText = (trim($this->getParam('logoText'))=='') ? $siteName : JText::_(trim($this->getParam('logoText')));
	$sloganText = JText::_(trim($this->getParam('sloganText'))); ?>
	<div class="logo-text">
		<h1><a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $logoText; ?></span></a></h1>
		<p class="site-slogan"><?php echo $sloganText;?></p>
	</div>
	<?php endif; ?>
	
	<?php if($this->countModules('search')) : ?>
	<div id="ooopa-search">
		<jdoc:include type="modules" name="search" />
	</div>
	<?php endif; ?>
	
	<?php if($this->countModules('linkstop')) : ?>
	<div id="ooopa-linkstop">
		<jdoc:include type="modules" name="linkstop" />
	</div>
	<?php endif; ?>

	<?php if($this->countModules('linksbottom')) : ?>
	<div id="ooopa-linksbottom">
		<jdoc:include type="modules" name="linksbottom" />
	</div>
	<?php endif; ?>


	<?php if($this->countModules('icons')) : ?>
	<div id="ooopa-icons">
		<jdoc:include type="modules" name="icons" />
	</div>
	<?php endif; ?>

	<?php $this->genBlockEnd ($block) ?>